nvm 设置默认版本失败

caiyongmin
  • 65

我的问题:

我使用 nvm 来管理我的 NodeJS 版本,想设置它的默认版本,但是设置无效。

我的代码:

去网上找了找,可以使用 nvm alias default <node版本号> 来设置,但是设置无效。

代码运行结果:

node -v     // v0.12.4

nvm alias default v4.2.4    // default -> v4.2.4

node -v    // 仍然是 v0.12.4

相关截图

clipboard.png

相关尝试

我在网上找的方法是可以使用 nvm use <node版本> 来指定 node 的版本,但是这样需要每次新开一个窗口都要设置一次,很麻烦,而且有时候会忘了。

还有找到一个方法是在系统根目录下创建一个 .nvmrc 的文件,然后里面写上 node use <node 版本> 这样每次新开窗口会访问这个文件然后调整 node 的使用版本。但看网上说这样不太好。

所以在这里问问大家有没有更好的方法?

回复
阅读 10.1k
4 个回答
✓ 已被采纳

你用 nvm alias default v4.2.4 之后,要新开终端,运行 node -v 才会生效呀

其实你使用nvm的话,每次开终端会先去读取default的默认的版本是多少,然后去调用。
如果你在相同的终端先设置 default,但是不重新载入新的环境变量,那还是会使用原先的 node 版本

这就好比,你安装了一个新的软件在/usr/local/bin下面,但是不重新载入环境变量,那么就不会生效

或许你需要刷新一下配置文件。比如

source ~/.bash_profile

我也遇到这个问题,在vscode中
修改default后 需要关闭所有vscode才能生效

楼主你好,

这个问题我也遇到了,不过是在WebStorm 中遇到的。每次重新打开 WebStorm 窗口的时候,内嵌的命令行工具中的 node 就回回到默认的版本中去。

后来使用下面的命令:

nvm alias default v4.3.0

解决了问题。

注意:设置完命令后,需要重新启动 IDE。我的是重新启动了 WebStorm 就可以看到默认的 node 版本已经更新了。

参考的文章在这里:
https://www.cnblogs.com/Joans...

你知道吗?

宣传栏